import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.page.app.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.page.app.doEdit,
    method: 'post',
    data,
  })
}

export function editApp(data) {
  return request({
    url: URL.shop.page.app.editApp,
    method: 'post',
    data,
  })
}

export function setThemes(data) {
  return request({
    url: URL.shop.page.app.setThemes,
    method: 'post',
    data,
  })
}

export function manage(params) {
  return request({
    url: URL.shop.page.app.manage,
    method: 'get',
    params,
  })
}
